"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDeploymentConfig_1 = require("../model/operations/DeleteDeploymentConfig");
var DeleteDeploymentConfigCommand = /** @class */ (function () {
    function DeleteDeploymentConfigCommand(input) {
        this.input = input;
        this.model = DeleteDeploymentConfig_1.DeleteDeploymentConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDeploymentConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDeploymentConfigCommand;
}());
exports.DeleteDeploymentConfigCommand = DeleteDeploymentConfigCommand;
//# sourceMappingURL=DeleteDeploymentConfigCommand.js.map