"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterOnPremisesInstance_1 = require("../model/operations/DeregisterOnPremisesInstance");
var DeregisterOnPremisesInstanceCommand = /** @class */ (function () {
    function DeregisterOnPremisesInstanceCommand(input) {
        this.input = input;
        this.model = DeregisterOnPremisesInstance_1.DeregisterOnPremisesInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterOnPremisesInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterOnPremisesInstanceCommand;
}());
exports.DeregisterOnPremisesInstanceCommand = DeregisterOnPremisesInstanceCommand;
//# sourceMappingURL=DeregisterOnPremisesInstanceCommand.js.map