"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeployment_1 = require("../model/operations/GetDeployment");
var GetDeploymentCommand = /** @class */ (function () {
    function GetDeploymentCommand(input) {
        this.input = input;
        this.model = GetDeployment_1.GetDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentCommand;
}());
exports.GetDeploymentCommand = GetDeploymentCommand;
//# sourceMappingURL=GetDeploymentCommand.js.map