"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeploymentInstance_1 = require("../model/operations/GetDeploymentInstance");
var GetDeploymentInstanceCommand = /** @class */ (function () {
    function GetDeploymentInstanceCommand(input) {
        this.input = input;
        this.model = GetDeploymentInstance_1.GetDeploymentInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentInstanceCommand;
}());
exports.GetDeploymentInstanceCommand = GetDeploymentInstanceCommand;
//# sourceMappingURL=GetDeploymentInstanceCommand.js.map