"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDeployments_1 = require("../model/operations/ListDeployments");
var ListDeploymentsCommand = /** @class */ (function () {
    function ListDeploymentsCommand(input) {
        this.input = input;
        this.model = ListDeployments_1.ListDeployments;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDeploymentsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDeploymentsCommand;
}());
exports.ListDeploymentsCommand = ListDeploymentsCommand;
//# sourceMappingURL=ListDeploymentsCommand.js.map