"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetDeploymentGroupsInput_1 = require("../shapes/BatchGetDeploymentGroupsInput");
var BatchGetDeploymentGroupsOutput_1 = require("../shapes/BatchGetDeploymentGroupsOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetDeploymentGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetDeploymentGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetDeploymentGroupsInput_1.BatchGetDeploymentGroupsInput
    },
    output: {
        shape: BatchGetDeploymentGroupsOutput_1.BatchGetDeploymentGroupsOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        }
    ]
};
//# sourceMappingURL=BatchGetDeploymentGroups.js.map