"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateApplicationInput_1 = require("../shapes/CreateApplicationInput");
var CreateApplicationOutput_1 = require("../shapes/CreateApplicationOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationAlreadyExistsException_1 = require("../shapes/ApplicationAlreadyExistsException");
var ApplicationLimitExceededException_1 = require("../shapes/ApplicationLimitExceededException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var InvalidTagsToAddException_1 = require("../shapes/InvalidTagsToAddException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateApplication = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateApplication",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateApplicationInput_1.CreateApplicationInput
    },
    output: {
        shape: CreateApplicationOutput_1.CreateApplicationOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationAlreadyExistsException_1.ApplicationAlreadyExistsException
        },
        {
            shape: ApplicationLimitExceededException_1.ApplicationLimitExceededException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        },
        {
            shape: InvalidTagsToAddException_1.InvalidTagsToAddException
        }
    ]
};
//# sourceMappingURL=CreateApplication.js.map