"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDeploymentConfigInput_1 = require("../shapes/CreateDeploymentConfigInput");
var CreateDeploymentConfigOutput_1 = require("../shapes/CreateDeploymentConfigOutput");
var InvalidDeploymentConfigNameException_1 = require("../shapes/InvalidDeploymentConfigNameException");
var DeploymentConfigNameRequiredException_1 = require("../shapes/DeploymentConfigNameRequiredException");
var DeploymentConfigAlreadyExistsException_1 = require("../shapes/DeploymentConfigAlreadyExistsException");
var InvalidMinimumHealthyHostValueException_1 = require("../shapes/InvalidMinimumHealthyHostValueException");
var DeploymentConfigLimitExceededException_1 = require("../shapes/DeploymentConfigLimitExceededException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var InvalidTrafficRoutingConfigurationException_1 = require("../shapes/InvalidTrafficRoutingConfigurationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDeploymentConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDeploymentConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDeploymentConfigInput_1.CreateDeploymentConfigInput
    },
    output: {
        shape: CreateDeploymentConfigOutput_1.CreateDeploymentConfigOutput
    },
    errors: [
        {
            shape: InvalidDeploymentConfigNameException_1.InvalidDeploymentConfigNameException
        },
        {
            shape: DeploymentConfigNameRequiredException_1.DeploymentConfigNameRequiredException
        },
        {
            shape: DeploymentConfigAlreadyExistsException_1.DeploymentConfigAlreadyExistsException
        },
        {
            shape: InvalidMinimumHealthyHostValueException_1.InvalidMinimumHealthyHostValueException
        },
        {
            shape: DeploymentConfigLimitExceededException_1.DeploymentConfigLimitExceededException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        },
        {
            shape: InvalidTrafficRoutingConfigurationException_1.InvalidTrafficRoutingConfigurationException
        }
    ]
};
//# sourceMappingURL=CreateDeploymentConfig.js.map