"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentConfigInput_1 = require("../shapes/GetDeploymentConfigInput");
var GetDeploymentConfigOutput_1 = require("../shapes/GetDeploymentConfigOutput");
var InvalidDeploymentConfigNameException_1 = require("../shapes/InvalidDeploymentConfigNameException");
var DeploymentConfigNameRequiredException_1 = require("../shapes/DeploymentConfigNameRequiredException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeploymentConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeploymentConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDeploymentConfigInput_1.GetDeploymentConfigInput
    },
    output: {
        shape: GetDeploymentConfigOutput_1.GetDeploymentConfigOutput
    },
    errors: [
        {
            shape: InvalidDeploymentConfigNameException_1.InvalidDeploymentConfigNameException
        },
        {
            shape: DeploymentConfigNameRequiredException_1.DeploymentConfigNameRequiredException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        }
    ]
};
//# sourceMappingURL=GetDeploymentConfig.js.map