"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentGroupInput_1 = require("../shapes/GetDeploymentGroupInput");
var GetDeploymentGroupOutput_1 = require("../shapes/GetDeploymentGroupOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeploymentGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeploymentGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDeploymentGroupInput_1.GetDeploymentGroupInput
    },
    output: {
        shape: GetDeploymentGroupOutput_1.GetDeploymentGroupOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        }
    ]
};
//# sourceMappingURL=GetDeploymentGroup.js.map