"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDeploymentInstancesInput_1 = require("../shapes/ListDeploymentInstancesInput");
var ListDeploymentInstancesOutput_1 = require("../shapes/ListDeploymentInstancesOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentNotStartedException_1 = require("../shapes/DeploymentNotStartedException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var InvalidInstanceStatusException_1 = require("../shapes/InvalidInstanceStatusException");
var InvalidInstanceTypeException_1 = require("../shapes/InvalidInstanceTypeException");
var InvalidDeploymentInstanceTypeException_1 = require("../shapes/InvalidDeploymentInstanceTypeException");
var InvalidTargetFilterNameException_1 = require("../shapes/InvalidTargetFilterNameException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDeploymentInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDeploymentInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDeploymentInstancesInput_1.ListDeploymentInstancesInput
    },
    output: {
        shape: ListDeploymentInstancesOutput_1.ListDeploymentInstancesOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentNotStartedException_1.DeploymentNotStartedException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: InvalidInstanceStatusException_1.InvalidInstanceStatusException
        },
        {
            shape: InvalidInstanceTypeException_1.InvalidInstanceTypeException
        },
        {
            shape: InvalidDeploymentInstanceTypeException_1.InvalidDeploymentInstanceTypeException
        },
        {
            shape: InvalidTargetFilterNameException_1.InvalidTargetFilterNameException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        }
    ]
};
//# sourceMappingURL=ListDeploymentInstances.js.map