"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SkipWaitTimeForInstanceTerminationInput_1 = require("../shapes/SkipWaitTimeForInstanceTerminationInput");
var SkipWaitTimeForInstanceTerminationOutput_1 = require("../shapes/SkipWaitTimeForInstanceTerminationOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentAlreadyCompletedException_1 = require("../shapes/DeploymentAlreadyCompletedException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var DeploymentNotStartedException_1 = require("../shapes/DeploymentNotStartedException");
var UnsupportedActionForDeploymentTypeException_1 = require("../shapes/UnsupportedActionForDeploymentTypeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SkipWaitTimeForInstanceTermination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SkipWaitTimeForInstanceTermination",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SkipWaitTimeForInstanceTerminationInput_1.SkipWaitTimeForInstanceTerminationInput
    },
    output: {
        shape: SkipWaitTimeForInstanceTerminationOutput_1.SkipWaitTimeForInstanceTerminationOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentAlreadyCompletedException_1.DeploymentAlreadyCompletedException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: DeploymentNotStartedException_1.DeploymentNotStartedException
        },
        {
            shape: UnsupportedActionForDeploymentTypeException_1.UnsupportedActionForDeploymentTypeException
        }
    ]
};
//# sourceMappingURL=SkipWaitTimeForInstanceTermination.js.map