"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RevisionLocation_1 = require("./_RevisionLocation");
var _ErrorInformation_1 = require("./_ErrorInformation");
var _DeploymentOverview_1 = require("./_DeploymentOverview");
var _AutoRollbackConfiguration_1 = require("./_AutoRollbackConfiguration");
var _RollbackInfo_1 = require("./_RollbackInfo");
var _DeploymentStyle_1 = require("./_DeploymentStyle");
var _TargetInstances_1 = require("./_TargetInstances");
var _BlueGreenDeploymentConfiguration_1 = require("./_BlueGreenDeploymentConfiguration");
var _LoadBalancerInfo_1 = require("./_LoadBalancerInfo");
var _DeploymentStatusMessageList_1 = require("./_DeploymentStatusMessageList");
exports._DeploymentInfo = {
    type: "structure",
    required: [],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentGroupName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentId: {
            shape: {
                type: "string"
            }
        },
        previousRevision: {
            shape: _RevisionLocation_1._RevisionLocation
        },
        revision: {
            shape: _RevisionLocation_1._RevisionLocation
        },
        status: {
            shape: {
                type: "string"
            }
        },
        errorInformation: {
            shape: _ErrorInformation_1._ErrorInformation
        },
        createTime: {
            shape: {
                type: "timestamp"
            }
        },
        startTime: {
            shape: {
                type: "timestamp"
            }
        },
        completeTime: {
            shape: {
                type: "timestamp"
            }
        },
        deploymentOverview: {
            shape: _DeploymentOverview_1._DeploymentOverview
        },
        description: {
            shape: {
                type: "string"
            }
        },
        creator: {
            shape: {
                type: "string"
            }
        },
        ignoreApplicationStopFailures: {
            shape: {
                type: "boolean"
            }
        },
        autoRollbackConfiguration: {
            shape: _AutoRollbackConfiguration_1._AutoRollbackConfiguration
        },
        updateOutdatedInstancesOnly: {
            shape: {
                type: "boolean"
            }
        },
        rollbackInfo: {
            shape: _RollbackInfo_1._RollbackInfo
        },
        deploymentStyle: {
            shape: _DeploymentStyle_1._DeploymentStyle
        },
        targetInstances: {
            shape: _TargetInstances_1._TargetInstances
        },
        instanceTerminationWaitTimeStarted: {
            shape: {
                type: "boolean"
            }
        },
        blueGreenDeploymentConfiguration: {
            shape: _BlueGreenDeploymentConfiguration_1._BlueGreenDeploymentConfiguration
        },
        loadBalancerInfo: {
            shape: _LoadBalancerInfo_1._LoadBalancerInfo
        },
        additionalDeploymentStatusInfo: {
            shape: {
                type: "string"
            }
        },
        fileExistsBehavior: {
            shape: {
                type: "string"
            }
        },
        deploymentStatusMessages: {
            shape: _DeploymentStatusMessageList_1._DeploymentStatusMessageList
        },
        computePlatform: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_DeploymentInfo.js.map