"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodeDeployClient_1 = require("../../CodeDeployClient");
var ListApplicationsCommand_1 = require("../../commands/ListApplicationsCommand");
var GetDeploymentCommand_1 = require("../../commands/GetDeploymentCommand");
describe("@aws-sdk/client-codedeploy-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListApplications should succeed when given correct input", function (done) {
        var client = new CodeDeployClient_1.CodeDeployClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listApplications = new ListApplicationsCommand_1.ListApplicationsCommand({});
        client
            .send(listApplications)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetDeployment should fail when given bad input", function (done) {
        var client = new CodeDeployClient_1.CodeDeployClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getDeployment = new GetDeploymentCommand_1.GetDeploymentCommand({
            deploymentId: "d-USUAELQEX"
        });
        client
            .send(getDeployment)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map